package com.fs.course.service.impl;

import java.util.List;
import com.fs.common.utils.DateUtils;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.fs.course.mapper.FsUserCourseCompanyUserTimeMapper;
import com.fs.course.domain.FsUserCourseCompanyUserTime;
import com.fs.course.service.IFsUserCourseCompanyUserTimeService;

/**
 * 营期课程-销售课程时间Service业务层处理
 *
 * @author fs
 * @date 2025-06-09
 */
@Service
public class FsUserCourseCompanyUserTimeServiceImpl extends ServiceImpl<FsUserCourseCompanyUserTimeMapper, FsUserCourseCompanyUserTime> implements IFsUserCourseCompanyUserTimeService {

    /**
     * 查询营期课程-销售课程时间
     *
     * @param id 营期课程-销售课程时间主键
     * @return 营期课程-销售课程时间
     */
    @Override
    public FsUserCourseCompanyUserTime selectFsUserCourseCompanyUserTimeById(Long id)
    {
        return baseMapper.selectFsUserCourseCompanyUserTimeById(id);
    }

    /**
     * 查询营期课程-销售课程时间列表
     *
     * @param fsUserCourseCompanyUserTime 营期课程-销售课程时间
     * @return 营期课程-销售课程时间
     */
    @Override
    public List<FsUserCourseCompanyUserTime> selectFsUserCourseCompanyUserTimeList(FsUserCourseCompanyUserTime fsUserCourseCompanyUserTime)
    {
        return baseMapper.selectFsUserCourseCompanyUserTimeList(fsUserCourseCompanyUserTime);
    }

    /**
     * 新增营期课程-销售课程时间
     *
     * @param fsUserCourseCompanyUserTime 营期课程-销售课程时间
     * @return 结果
     */
    @Override
    public int insertFsUserCourseCompanyUserTime(FsUserCourseCompanyUserTime fsUserCourseCompanyUserTime)
    {
        fsUserCourseCompanyUserTime.setCreateTime(DateUtils.getNowDate());
        return baseMapper.insertFsUserCourseCompanyUserTime(fsUserCourseCompanyUserTime);
    }

    /**
     * 修改营期课程-销售课程时间
     *
     * @param fsUserCourseCompanyUserTime 营期课程-销售课程时间
     * @return 结果
     */
    @Override
    public int updateFsUserCourseCompanyUserTime(FsUserCourseCompanyUserTime fsUserCourseCompanyUserTime)
    {
        fsUserCourseCompanyUserTime.setUpdateTime(DateUtils.getNowDate());
        return baseMapper.updateFsUserCourseCompanyUserTime(fsUserCourseCompanyUserTime);
    }

    /**
     * 批量删除营期课程-销售课程时间
     *
     * @param ids 需要删除的营期课程-销售课程时间主键
     * @return 结果
     */
    @Override
    public int deleteFsUserCourseCompanyUserTimeByIds(Long[] ids)
    {
        return baseMapper.deleteFsUserCourseCompanyUserTimeByIds(ids);
    }

    /**
     * 删除营期课程-销售课程时间信息
     *
     * @param id 营期课程-销售课程时间主键
     * @return 结果
     */
    @Override
    public int deleteFsUserCourseCompanyUserTimeById(Long id)
    {
        return baseMapper.deleteFsUserCourseCompanyUserTimeById(id);
    }
}
